* {
    margin: 0;
    padding: 0;
}

body {
    display: flex;
    justify-content: center;
}

/* Group Containers */
.calculator {
    margin: 50px;
    padding: 20px;
    width: 280px;
    height: 400px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    border: 2px solid;
    border-radius: 10px;
    background-color: #f0f0f0;
}

.display {
    margin-bottom: 10px;
    padding: 12px 8px;
    text-align: right;
    font-size: 32px;
    width: 260px;
    height: 32px;
    align-self: center;
    border: 1px solid;
}

.keys {
    display: flex;
    justify-content: center;
    gap: 5px;
}

.numpad {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
}

.operators {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

/* Buttons */
.btn {
    width: 32px;
    height: 36px;
    padding: 10px 14px;
    text-align: center;
    font-size: 32px;
    border: 1px solid;
    border-radius: 10px;
    box-sizing: inherit;
}

.btn:active {
    transform: translateY(4px);
}

.btn-op {
    background-color: peru;
}

.btn-cl {
    background-color: #444444;
}

/* Specific Cases */
#all_clear,
#clear_entry {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 24px;
}
